jmarkov.basic

## Interface JMarkovElement

- All Known Subinterfaces:
    ContPhaseVar, DiscPhaseVar, PhaseVar, PropertiesElement, Transitions<S>
  All Known Implementing Classes:
    AbstractAverageSolver, AbstractContPhaseVar, AbstractDiscountedSolver, AbstractDiscPhaseVar, AbstractFiniteSolver, AbstractInfiniteSolver, AbstractTotalSolver, AccessControl2Queues, Action, Admit, BBPhase, BBPhBuf, BBPhBufExp, BucketBrigades, BucketBuffers, DecisionRule, DemandEvent, DenseContPhaseVar, DenseDiscPhaseVar, DriveThru, ErlangCoxianVar, ErlangQueue, Event, FiniteSolver, GeometricSolver, GeometrixSolver, GeomProcess, GeomRelState, GeomState, HiperExQueue, HyperErlangVar, HypoExponentialVar, InvLevel, Jackson, JamaSolver, JamaTransientSolver, Kanban, LPBCLAverageSolver, LPBCLDiscountedSolver, MarkovProcess, MpsLpAverageSolver, MpsLpDiscountedSolver, MPSQsOptAverageSolver, MPSQsOptDiscountedSolver, MPSXpressAverage, MPSXpressDiscounted, MtjLogRedSolver, MtjSolver, Order, PhaseSystem, PHLine, PickBlockNarrow, PickBlockNarrowCont, PickBlockNarrowSlow, PickBlockWide, PickBlockWideContKPickers_V3, PickBlockWideSlow, PolicyIterationSolver, PolicyIterationSolverAvg, PropertiesAction, PropertiesEvent, PropertiesState, QueueMEk1, QueueMH2k1, QueueMM1N, QueueMM2dN, QueueMMKdN, QueuePhPh2, RelativeValueIterationSolver, SimpleMarkovProcess, Solver, Solver, SparseContPhaseVar, SparseDiscPhaseVar, State, StateC, StateEvent, SteadyStateSolver, StochasticShortestPathSolver, TandemEvent, TandemQueues, TransientSolver, Transition, TransitionsSet, ValueFunction, ValueIterationSolver, Web

      public interface JMarkovElement

  All the elements in JMarkov implement this interface, so they can be easily described in the interface. It is recommended that the method `toString()` is implemented as final, and calling `label()`.
  Author:
    Germán Riaño. Universidad de los Andes. (C) 2006

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()` This method return a complete verbal describtion of this element.
    `boolean` | `equals(java.lang.Object e)` Returns true if these two elements are equal.
    `java.lang.String` | `label()` This method returns a short String used in the user interface to describe this element.
    `java.lang.String` | `toString()` This method returns a short String used in the user interface to describe this element.

- - ### Method Detail

    - #### toString

          java.lang.String toString()

      This method returns a short String used in the user interface to describe this element. It is highly recommended that every class calls label(), using the following code:

           public final String toString() {
               return label();
           }

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A String label.
      See Also:
        `label()`

    - #### label

          java.lang.String label()

      This method returns a short String used in the user interface to describe this element.
      Returns:
        A String label.
      See Also:
        `description()`

    - #### description

          java.lang.String description()

      This method return a complete verbal describtion of this element. This description may contain multiple text rows.
      Returns:
        A String describing this element.
      See Also:
        `label()`

    - #### equals

          boolean equals(java.lang.Object e)

      Returns true if these two elements are equal. If this element implementa a compareTo() method it is recommended that this method returns compareTo(o)==0.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `e` - The Object to compare to.
      Returns:
        True if the elements are equal.
      See Also:
        `Object.equals(java.lang.Object)`